package net.northking.cctp.common.db;

/**
 * 多库多表对象<br>
 * 用于解决多库多表的问题，跟数据库实例无关
 *
 * @author xiusong.xie
 * @since 2.4
 */
public abstract class Partition
{
  /**
   * 库名的隔离号
   */
  private String schemaSuffix = "";

  /**
   * 表名的隔离号
   */
  private String tableSuffix = "";

  /**
   * 获取 库名的隔离号
   *
   * @return 库名的隔离号
   */
  public String getSchemaSuffix()
  {
    return schemaSuffix;
  }


  /**
   * 获取 表名的隔离号
   *
   * @return 表名的隔离号
   */
  public String getTableSuffix()
  {
    return tableSuffix;
  }

  public void setSchemaSuffix(String schemaSuffix)
  {
    this.schemaSuffix = schemaSuffix;
  }

  public void setTableSuffix(String tableSuffix)
  {
    this.tableSuffix = tableSuffix;
  }
}
